Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1562743 - F27 to F28 upgrade fails due to libkolab
Summary: F27 to F28 upgrade fails due to libkolab
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libkolab
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Timotheus Pokorra
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker AcceptedFreezeException
Depends On: 1518800
Blocks: F28FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-04-02 10:42 UTC by Tomas Toth
Modified: 2018-04-10 22:56 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 22:56:48 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1556048 0 unspecified CLOSED libkolab: FTBFS in F28 2021-02-22 00:41:40 UTC

Internal Links: 1556048

Description Tomas Toth 2018-04-02 10:42:14 UTC
Description of problem:
# dnf system-upgrade download --releasever=28 --refresh --enablerepo=updates-testing
Before you continue ensure that your system is fully upgraded by running "dnf --refresh upgrade". Do you want to continue [y/N]: y
Fedora 28 - x86_64 - Test Updates    3.8 MB/s |  13 MB     00:03    
Last metadata expiration check: 0:00:00 ago on Mon 02 Apr 2018 12:16:29 PM CEST.
Error: 
 Problem: problem with installed package libkolab-1.0.2-9.fc27.x86_64
  - package libkolab-1.0.2-9.fc27.x86_64 requires libboost_atomic.so.1.64.0()(64bit), but none of the providers can be installed
  - boost-atomic-1.64.0-5.fc27.x86_64 does not belong to a distupgrade repository


How reproducible:
Always.

Actual results:
Upgrade fails.

Expected results:
Upgrade succeeds.


Additional info:
See also: https://bugzilla.redhat.com/show_bug.cgi?id=1518800

# dnf remove libkolab.x86_64
Is a workaround, per https://bugzilla.redhat.com/show_bug.cgi?id=1518800#c1

Comment 1 Tomas Toth 2018-04-03 21:51:43 UTC
This may affect most KDE installs. Proposing as final blocker per Beta Release criteria: Upgrade requirement "For each one of the release-blocking package sets, it must be possible to successfully complete a direct upgrade from fully updated installations of the last two stable Fedora releases with that package set installed." KDE is a release blocking desktop.

Steps to reproduce:
1. Install F27 KDE Live (final release) image: Fedora-KDE-Live-x86_64-27-1.6.iso in a VM. Use anaconda - Install to Disk.
2. Boot it.
3. Update it: 
  # dnf update --refresh
4. Reboot it.
5. Install the system-upgrade plugin:
  # dnf install python3-dnf-plugin-system-upgrade.noarch
6. Upgrade attempt to F28 reports the same Error:
  # dnf system-upgrade download --releasever=28 --refresh
Before you continue ensure that your system is fully upgraded by running "dnf --refresh upgrade". Do you want to continue [y/N]: y
Fedora 28 - x86_64 - Updates      3.5 kB/s | 257  B     00:00    
Fedora 28 - x86_64                3.6 MB/s |  60 MB     00:16    
Last metadata expiration check: 0:00:00 ago on Tue 03 Apr 2018 11:28:33 PM CEST.
Error: 
 Problem: problem with installed package libkolab-1.0.2-9.fc27.x86_64
  - package libkolab-1.0.2-9.fc27.x86_64 requires libboost_atomic.so.1.64.0()(64bit), but none of the providers can be installed
  - boost-atomic-1.64.0-5.fc27.x86_64 does not belong to a distupgrade repository

Comment 2 Adam Williamson 2018-04-03 23:38:42 UTC
It should work with --allowerasing , which may be a sufficient workaround. I suspect this package should just be retired (and properly obsoleted by something): see https://bugzilla.redhat.com/show_bug.cgi?id=1556048 .

Comment 3 Fedora Update System 2018-04-04 19:49:37 UTC
libkolabxml-1.1.6-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1401a88cd6

Comment 4 Fedora Update System 2018-04-06 02:31:48 UTC
libkolabxml-1.1.6-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1401a88cd6

Comment 5 Truls Gulbrandsen 2018-04-08 10:01:16 UTC
I upgraded from Fedora 27 KDE and had to remove the following packages before the upgrade would run:

-boost-atomic
-digikam
-libkolab
-mariadb-libs

Unfortunately, I did not take screen shots of messages, but I was similar to what is shown in above posts.

Re-installation of all but mariadb-libs caused no problem. Mariadb-libs is not found by dnf, I suppose it is removed from the packages.

Comment 6 Rex Dieter 2018-04-08 12:14:25 UTC
There's no indication in this bug yet about anything about digikam or mariadb-libs (in fact, it would be best to file separate bugs for each)

I'll look into the boost-atomic thing.

Comment 7 Rex Dieter 2018-04-08 12:16:02 UTC
I can't tell anything wrong with boost or boost-atomic offhand, but it appears to be related to the libkolab issue highlighted here (ie, if libkolab issue were fixed, boost-atomic would be too)

Comment 8 Adam Williamson 2018-04-09 00:10:16 UTC
Yes, this is not a catch-all 'upgrade fail' bug. It is specifically a bug about libkolab. If there are upgrade path issues in other packages, those need to be filed separately.

Comment 9 Miroslav Suchý 2018-04-09 12:15:42 UTC
I can confirm that after adding updates-testing:
  sudo dnf dist-upgrade   --releasever=28  --enablerepo=updates-testing
This error disappeared.

Comment 10 Tomas Toth 2018-04-09 17:31:26 UTC
I confirm that the libkolabxml-1.1.6-4.fc28 update fixes the upgrade issue.

Thanks!

Comment 11 Geoffrey Marr 2018-04-09 17:58:45 UTC
Discussed during the 2018-04-09 blocker review meeting: [1]

The decision to classify this bug as a RejectedBlocker and an AcceptedFreezeException was made as it does not violate any existing blocker criteria surrounding default packages, but it is a fairly commonly-installed package, and as such warrants a freeze exception.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2018-04-09/f28-blocker-review.2018-04-09-16.01.txt

Comment 12 Fedora Update System 2018-04-10 22:56:48 UTC
libkolabxml-1.1.6-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.